#include <Joystick.h>
Joystick_ Joystick;

//--Assign pins for each control here--
int LeftPaddlePin = A1;
int RightPaddlePin = A0;
int BitePointPin = A2;

int LeftPaddleVal;
int RightPaddleVal;
int btptVal;
int outputVal;

void setup() 
{
  Serial.begin(115200);
  Joystick.begin();
  Joystick.setThrottleRange(0, 1023);
}

void loop() 
{
		//Get readings from pots
		LeftPaddleVal = analogRead(LeftPaddlePin);
		RightPaddleVal = analogRead(RightPaddlePin);
		btptVal = analogRead(BitePointPin);

		int LeftPaddleMapped = map(LeftPaddleVal, 0, 1023, 0, btptVal);

		if (RightPaddleVal > LeftPaddleMapped)
		{
			outputVal = RightPaddleVal;
		}
		else
		{
			outputVal = LeftPaddleMapped;
		}

		Joystick.setThrottle(outputVal);
		if (Serial) //send serial data if connected
		{
			String serialoutput = "ld;" + String(LeftPaddleVal) + ";" + String(RightPaddleVal) + ";" + String(btptVal) + ";" + String(outputVal);
			Serial.println(serialoutput);
		}
		delay(2);
}
